
Figure - 开发 Dev #110642
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110638 (解决 Resolved): 【MK】【008】【BOOT】主任务

【MK】【008】【BOOT】【TC-RID: 0301-0100805】recovery功能设置
2022-07-25 12:13 - CD TPM-申艳艳

Status: 解决 Resolved Start date: 2022-07-25

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc L13

删除recovery功能

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

Related issues:

Related to Figure - Bug # 113946: 【AF】【EVT】【设置】恢复出厂设置功能无效 CLOSED 2022-11-14 2022-11-21

History

#1 - 2022-08-02 14:24 - SZ TPM-罗云进

- Assignee changed from SZ TPM-罗云进 to SZ 系统-张丽果

#2 - 2022-09-21 11:43 - CD BSP-杜磊

- Assignee changed from SZ 系统-张丽果 to CD BSP-丁武伟

#3 - 2022-11-07 21:04 - CD BSP-唐金泽

- Status changed from New to 进行中 In Progress

- Assignee changed from CD BSP-丁武伟 to CD BSP-唐金泽

- Target version set to VX1_MCE_FSE_V3.0_update_20221130

强制不进入 recovery 模式；

#4 - 2022-11-08 21:13 - CD BSP-唐金泽

- Status changed from 进行中 In Progress to 解决 Resolved

- % Done changed from 0 to 90

https://dev.thundercomm.com/gerrit/c/general/abl/tianocore/edk2/+/160864

修改patch，禁止进入recovery模式，强制赋值recovery标志位=1。

#5 - 2022-11-08 21:13 - CD BSP-唐金泽

强制赋值recovery标志位=0，写错了
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc
https://dev.thundercomm.com/gerrit/c/general/abl/tianocore/edk2/+/160864


#6 - 2022-11-10 09:54 - CD BSP-唐金泽

- Status changed from 解决 Resolved to 完成 Closed

- % Done changed from 90 to 100

#7 - 2022-11-18 17:05 - CD BSP-唐金泽

背景：

recovery 功能影响：

1.用户界面“恢复出厂设置”功能，依赖recovery模式；

2.POWERWASH，依赖recovery模式；

反馈至客户后，2022-11-18 中午11：47和客户（黄骏）会议沟通，客户口头承诺，只要满足：

1.recovery 用户进入接口被限制（已达成，adb reboot recovery用户无法使用，按键加开机组合项目未暴露按键）；

2.recovery 没有用户界面（已达成，UEFI阶段没有显示界面）；

那么可以恢复recovery功能。

提交：

https://dev.thundercomm.com/gerrit/c/general/abl/tianocore/edk2/+/163856

验证：

本地已验证通过。

启用Recovery后，将修复无法恢复出厂设置bug；

研发同学可以调试进入fastbootd模式。

#8 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160864 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP:BOOT: Force Denied to Enter Recovery ModeForce denied to enter recovery mode by FiugreTC-RID: 0301-0100805IssueID: TS-R-DF-110642Change-Id:

Ia3a162cd9c8402a29c9492598d2fe2b5d67e1622

#9 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

163856 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

Revert "BSP:BOOT: Force Denied to Enter Recovery Mode" This reverts commit e6384620aeab90a3d46fcf6e44288ce66be93df9.Reason for revert: bug

TS-R-DF-113946 and customer confirmedTC-RID: 0301-0100805IssueID: TS-R-DF-110642Change-Id: I01934ce7553d73e6117a5c1d152367ed78fa6934

#10 - 2023-01-06 15:52 - CD BSP-杜磊

- Status changed from 完成 Closed to 进行中 In Progress
https://dev.thundercomm.com/gerrit/c/general/abl/tianocore/edk2/+/163856


#11 - 2023-01-06 15:52 - CD BSP-杜磊

- Assignee changed from CD BSP-唐金泽 to CD BSP-杜磊

- % Done changed from 100 to 80

#12 - 2023-01-07 14:28 - CD BSP-杜磊

本地测试验证OK， 代码提交需要申请分支后才能提交

#13 - 2023-01-10 13:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175228 general/platform/bootable/recovery Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Display: Turn off panel in recovery modeTurn off panel in recovery modeTC-RID: 0301-0100805IssueID: TS-R-DF-110642Change-Id:

I67adf5b0e33df72a919c11af22227ff878a7c4cb

#14 - 2023-02-16 17:34 - CD BSP-杜磊

- Status changed from 进行中 In Progress to 解决 Resolved

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 80 to 100

2025-07-04 3/3


